> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a snapshot

> Returns a single snapshot including the full Y.js-encoded `state` binary, suitable for rendering or restoring the document at that point in time.



## OpenAPI

````yaml get /snapshot/{snapshotId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /snapshot/{snapshotId}:
    get:
      tags:
        - Snapshots
      summary: Retrieve a snapshot
      description: >-
        Returns a single snapshot including the full Y.js-encoded `state`
        binary, suitable for rendering or restoring the document at that point
        in time.
      operationId: getSnapshotById
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: snapshotId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      documentId:
                        type: string
                      state: {}
                      name:
                        type: string
                      description:
                        type: string
                      comments:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            userId:
                              type: string
                            comment:
                              type: string
                            createdAt:
                              type: number
                          required:
                            - _id
                            - userId
                            - comment
                            - createdAt
                      isAiManaged:
                        type: boolean
                        example: false
                      createdBy:
                        type: string
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                    required:
                      - _id
                      - documentId
                      - createdAt
                required:
                  - data
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````